curl --request GET \
--url https://api.synctera.com/v1/cards/digital_wallet_tokens/{digital_wallet_token_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.synctera.com/v1/cards/digital_wallet_tokens/{digital_wallet_token_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.synctera.com/v1/cards/digital_wallet_tokens/{digital_wallet_token_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"tenant": "abcdef_ghijkl",
"approved_time": "2010-05-06T12:23:34.321Z",
"card_id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"device": {
"device_id": "<string>",
"ip_address": "1.12.123.255",
"location": "+22.20/-159.50",
"name": "<string>",
"token": "<string>",
"type": "APPLIANCE"
},
"device_id": "<string>",
"device_type": "APPLIANCE",
"id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"last_updated_time": "2010-05-06T12:23:34.321Z",
"processor_data": {},
"removed_from_wallet_time": "2010-05-06T12:23:34.321Z",
"requested_time": "2010-05-06T12:23:34.321Z",
"state": "ACTIVE",
"token_reference_id": "<string>",
"type": "APPLE_PAY"
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}Get Digital Wallet Token
Get the details about the digital wallet token of a card
NB: Digital wallet tokens cannot be created outside of production.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The unique identifier of a digital wallet token
"7d943c51-e4ff-4e57-9558-08cab6b963c7"
Response
Digital Wallet Token details
The id of the tenant containing the resource.
"abcdef_ghijkl"
"2010-05-06T12:23:34.321Z"
Card ID of the Digital wallet Token
"7d943c51-e4ff-4e57-9558-08cab6b963c7"
Contains device informations.
Show child attributes
Show child attributes
The user’s Android device ID; the device’s unique identifier.
124Type of the device where the Digital Wallet Token is used in
APPLIANCE, GAMING_DEVICE, LAPTOP, MOBILE_PHONE, MOBILE_PHONE_OR_TABLET, TABLET, UNKNOWN, VEHICLE, WATCH Digital Wallet Token ID
"7d943c51-e4ff-4e57-9558-08cab6b963c7"
"2010-05-06T12:23:34.321Z"
Raw data from processor.
The time that the token was removed from a wallet. Tokens make remain active after being removed from a wallet.
"2010-05-06T12:23:34.321Z"
"2010-05-06T12:23:34.321Z"
Current status of the Digital Wallet Token
ACTIVE, REQUESTED, REQUEST_DECLINED, SUSPENDED, TERMINATED Unique identifier of the digital wallet token within the card network.
Type of the Digital Wallet. Can be one of APPLE_PAY, ANDROID_PAY, SAMSUNG_PAY or something else when cards are added on file to a merchant.
"APPLE_PAY"
Was this page helpful?

